import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"operator.pmh",
				"BenderOp",
				"BindEditOp",
				"BloatOp",
				"ConnectOp",
				"CurvaceousOp",
				"CurveCreateOp",
				"ExcarnateOp",
				"FollicleOp",
				"FusionOp",
				"GridWrapOp",
				"GroupOp",
				"HammerOp",
				"HobbleOp",
				"LengthCorrectOp",
				"NexusOp",
				"SurfaceAttrCreateOp",
				"SurfaceAttrLabOp",
				"SurfaceBindOp",
				"SurfaceCopyOp",
				"SurfaceNormalOp",
				"SurfaceSampleOp",
				"SurfaceSummaryOp",
				"SurfaceWrapOp",
				"TransformManipulator",
				"XRayOp",
				"operatorDL" ]

	dll = module.DLL( "fexOperatorDL", srcList )

	deplibs = forge.corelibs+ [
				"fexGeometryDLLib",
				"fexMathLib",
				"fexOperateDLLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexOperatorDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexOperatorDL",					None,	None) ]

	module.Module('test')
