/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __optest_RecordOp_h__
#define __optest_RecordOp_h__

namespace fe
{

/**************************************************************************//**
	@brief Save a mesh as a RecordGroup

	@ingroup optest
*//***************************************************************************/
class FE_DL_EXPORT RecordOp:
	public OperatorSurfaceCommon,
	public Initialize<RecordOp>
{
	public:

					RecordOp(void)											{}
virtual				~RecordOp(void)											{}

		void		initialize(void);

					//* As HandlerI
virtual	void		handle(Record& a_rSignal);

	private:
};

} /* namespace */

#endif /* __optest_RecordOp_h__ */
