import os
import sys
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"SurfaceVDB",
				"vdb.pmh",
				"vdbDL" ]

	dll = module.DLL( "fexVDBDL", srcList )

	deplibs = forge.corelibs+ [
				"fexSurfaceDLLib" ]

	forge.deps( ["fexVDBDLLib"], deplibs )

#	module.includemap = { 'vdb' : module.modPath }
	module.includemap = { 'vdb' : forge.openvdb_install }

	# HACK needs to be configurable
	module.linkmap = {}
	module.linkmap['vdb'] = "-Xlinker -rpath='/home/symhost/sym/proj/fe/main/ext/vdb/openvdb/'"
	module.linkmap['vdb'] += ' -L' + os.path.join('ext','vdb','openvdb') + ' -l:libopenvdb.so.1.1'
#	module.linkmap = { 'vdb' : '-L/opt/hfs12.5.316.22/dsolib -lopenvdb' }

	forge.tests += [
		("inspect.exe",		"fexVDBDL",				None,		None) ]

#	module.Module('openvdb')

#def auto(module):
#	test_file = """
##include "openvdb/openvdb.h"
#
#int main(void)
#{
#	return(0);
#}
#    \n"""
#
#	forge.includemap['vdb'] = os.path.join('ext','vdb')
#	forge.linkmap['vdb'] = '-L ' + os.path.join('ext','vdb','openvdb') + ' -lopenvdb'
#
#	return forge.cctest(test_file)
